#ifndef ARGPARSE_H
#define ARGPARSE_H

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

#include "aliases.h"
#include <linux/limits.h>
#include <stdbool.h>

typedef struct {
  char dir[PATH_MAX];
  char output[PATH_MAX];
} pckr_args_t;

typedef struct {
  bool succeeded;
  pckr_args_t args;
} argparser_t;

argparser_t parse_args(i32 argc, char *argv[]);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // !ARGPARSE_H
