#ifndef D_ARR_H
#define D_ARR_H

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

#include "aliases.h"
#include <stdbool.h>

#define INVALID_IDX -1

typedef struct darr darr_t;

bool darr_init(darr_t **darr);
i64 darr_add(darr_t **darr, void *item);
void **darr_get_items(darr_t *darr);
void darr_free(darr_t **darr);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // !D_ARR_H
