#include "pckr.h"
#include "aliases.h"
#include "argparse.h"
#include "pak.h"
#include <stdio.h>
#include <stdlib.h>

i32 run_pckr(i32 argc, char *argv[]) {
  argparser_t parser = parse_args(argc, argv);
  if (!parser.succeeded) {
    printf("Usage: pckr ASSETS_DIR OUTPUT_FILE\n");

    return EXIT_FAILURE;
  }

  bool created = create_asset_pack(parser.args.dir, parser.args.output);

  if (!created) {
    printf("Failed to create pack\n");
    return EXIT_FAILURE;
  }

  return EXIT_SUCCESS;
}
